Package org.kapott.hbci.dialog

# Enum HBCIDialogSync.Mode

java.lang.Object
java.lang.Enum<HBCIDialogSync.Mode>
org.kapott.hbci.dialog.HBCIDialogSync.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<HBCIDialogSync.Mode>`, `java.lang.constant.Constable`

Enclosing class:
  `HBCIDialogSync`

public static enum HBCIDialogSync.Mode extends Enum<HBCIDialogSync.Mode>
Legt fest, ob die System-ID oder die Signatur-ID synchronisiert werden soll.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SIG_ID`
Signatur-ID.
`SYS_ID`
System-ID.

## Method Summary

Modifier and Type
Method
Description
`static HBCIDialogSync.Mode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HBCIDialogSync.Mode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SYS_ID

public static final HBCIDialogSync.Mode SYS_ID
System-ID.

### SIG_ID

public static final HBCIDialogSync.Mode SIG_ID
Signatur-ID.

## Method Details

### values

public static HBCIDialogSync.Mode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static HBCIDialogSync.Mode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null